Links de pagamento
Listar links de pagamento
Lista todas as páginas de pagamento (checkouts) criadas, com seus status e configurações. Suporta paginação e filtros por status e busca textual.
GET
/v1/checkoutsBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brAuthorizations
bearer
Authorization
string · header · required
Cabeçalho de autenticação Bearer no formato Bearer {{token}} onde {{token}} é o seu token OAuth2.
Escopos requeridos
checkouts/read
Query Parameters
| Name | Type | Value | Required | Description |
|---|---|---|---|---|
| limit | - | 15 | Optional | Quantidade de itens por página (default 15) - optional |
| lastKey | - | - | Required | base64 - optional |
| status | - | - | Required | Filtra por status do checkout - optional |
| search | - | - | Required | Busca por texto - optional |
const url = 'https://sandbox.validapay.com.br/v1/checkouts?limit=15&lastKey=&status=&search=?limit=15';
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer {{token}}'
},
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200200
{
"items": [
{
"id": "pl_xxx",
"url": "https://app.validapay.com.br/pagamento/pl_xxx"
}
],
"pagination": {
"total": 5,
"hasMore": false
}
}